Upgrading Ubuntu 18.04 disables GPU hardware acceleration

Bug #1752938 reported by Hairong Zhu
118
This bug affects 25 people
Affects Status Importance Assigned to Milestone
xorg (Ubuntu)
Confirmed
Undecided
Unassigned

Bug Description

I don't know which package causes this problem. The thing is ugrading Ubuntu 18.04 disables my GPU hardware acceleration.

glxinfo_before_upgrade
OpenGL vendor string: X.Org
OpenGL renderer string: Radeon RX 560 Series (POLARIS11 / DRM 3.23.0 / 4.15.0-10-generic, LLVM 5.0.1)
OpenGL core profile version string: 4.5 (Core Profile) Mesa 17.3.3

glxinfo_after_upgrade
OpenGL vendor string: VMware, Inc.
OpenGL renderer string: llvmpipe (LLVM 5.0, 256 bits)
OpenGL core profile version string: 3.3 (Core Profile) Mesa 17.3.3

This problem is reproducible.

Steps to reproduce:
1. Install Ubuntu 18.04 daily live. I've tried Kubuntu 18.04 Feb 26's daily live(the installer in Mar 1 crashes which prevents me from installing it) and Xubuntu 18.04 Mar 2's daily live. Ubuntu is utilizing my GPU in live cd session and after the fresh install Ubuntu is also utilizing my GPU.
2. Reboot into the newly installed system, do a dist-upgrade and reboot again. Opengl renderer falls back to llvmpipe.

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: xorg 1:7.7+19ubuntu5
ProcVersionSignature: Ubuntu 4.15.0-10.11-generic 4.15.3
Uname: Linux 4.15.0-10-generic x86_64
ApportVersion: 2.20.8-0ubuntu10
Architecture: amd64
BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
CompositorRunning: None
CurrentDesktop: XFCE
Date: Sat Mar 3 00:58:35 2018
DistUpgraded: Fresh install
DistroCodename: bionic
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes, if not too technical
GraphicsCard:
 Advanced Micro Devices, Inc. [AMD/ATI] Baffin [Polaris11] [1002:67ff] (rev cf) (prog-if 00 [VGA controller])
   Subsystem: ASUSTeK Computer Inc. Baffin [Radeon RX 560] [1043:04be]
InstallationDate: Installed on 2018-03-02 (0 days ago)
InstallationMedia: Xubuntu 18.04 LTS "Bionic Beaver" - Alpha amd64 (20180302)
MachineType: Gigabyte Technology Co., Ltd. B85M-D3V-A
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-10-generic.efi.signed root=UUID=d2dcc7eb-84ca-4102-9ae1-239de26d113c ro quiet splash vt.handoff=1
Renderer: Software
SourcePackage: xorg
Symptom: display
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 02/12/2015
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: F2
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: B85M-D3V-A
dmi.board.vendor: Gigabyte Technology Co., Ltd.
dmi.board.version: x.x
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrF2:bd02/12/2015:svnGigabyteTechnologyCo.,Ltd.:pnB85M-D3V-A:pvrTobefilledbyO.E.M.:rvnGigabyteTechnologyCo.,Ltd.:rnB85M-D3V-A:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.family: To be filled by O.E.M.
dmi.product.name: B85M-D3V-A
dmi.product.version: To be filled by O.E.M.
dmi.sys.vendor: Gigabyte Technology Co., Ltd.
version.compiz: compiz N/A
version.libdrm2: libdrm2 2.4.90-1
version.libgl1-mesa-dri: libgl1-mesa-dri 17.3.3-0ubuntu1
version.libgl1-mesa-glx: libgl1-mesa-glx 17.3.3-0ubuntu1
version.xserver-xorg-core: xserver-xorg-core 2:1.19.6-1ubuntu2
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.10.0-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20171229-1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-2

Revision history for this message
Hairong Zhu (hrzhu) wrote :
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xorg (Ubuntu):
status: New → Confirmed
Revision history for this message
Niels Böhm (blubberdiblub) wrote :

On Xubuntu, can you try downgrading the package xubuntu-default-settings from version 18.04.2 to version 18.04.1? Maybe it's related to what I'm seeing in bug #1752798

(you can find the older package here: https://launchpad.net/ubuntu/+source/xubuntu-default-settings/18.04.1/+build/13749132 )

Revision history for this message
Jhonny Oliveira (jhonny-oliveira) wrote :

I'm facing huge difficulties after this upgrade. All games I'm running with wine stopped working. I did not test others. They start, but I either get a black or purple window, no image. Can somebody point me the right way to debug and solve this?

I have an AMD Radeon HD 7850 installed.

Making a basic test, it seems to perform better with software rendering... ?!?

$ glxgears -info
GL_RENDERER = AMD PITCAIRN (DRM 2.50.0 / 4.15.0-11-generic, LLVM 5.0.1)
GL_VERSION = 3.0 Mesa 18.0.0-rc4
GL_VENDOR = X.Org
(...)
VisualID 1064, 0x428
355 frames in 5.0 seconds = 70.940 FPS
300 frames in 5.0 seconds = 59.997 FPS

$ LIBGL_ALWAYS_SOFTWARE=1 glxgears -info
GL_RENDERER = llvmpipe (LLVM 5.0, 128 bits)
GL_VERSION = 3.0 Mesa 18.0.0-rc4
GL_VENDOR = VMware, Inc.
(...)
VisualID 1064, 0x428
6604 frames in 5.0 seconds = 1320.753 FPS
6758 frames in 5.0 seconds = 1351.475 FPS

Further details:
$ lspci -nn | grep -E 'VGA|Display'
01:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Pitcairn PRO [Radeon HD 7850 / R7 265 / R9 270 1024SP] [1002:6819]

Revision history for this message
Patyrk Zajdler (pzaj) wrote :

I'm experiencing the same issue - no hardware acceleration.

I have an askubuntu.com question open with plenty of information and logs.
https://askubuntu.com/questions/1029205/video-playback-performance-issue-ubuntu-18-04

Revision history for this message
Hairong Zhu (hrzhu) wrote : Re: [Bug 1752938] Re: Upgrading Ubuntu 18.04 disables GPU hardware acceleration
Download full text (4.5 KiB)

The original bug I reported was a duplicate of bug #1751414. It has been
fixed. Lately I've upgraded from 17.10 to 18.08 for my laptop. I don't have
this issue. My laptop has Intel GPU though.

On Sun, 29 Apr 2018, 2:15 am Patyrk Zajdler, <email address hidden>
wrote:

> I'm experiencing the same issue - no hardware acceleration.
>
> I have an askubuntu.com question open with plenty of information and logs.
>
> https://askubuntu.com/questions/1029205/video-playback-performance-issue-ubuntu-18-04
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1752938
>
> Title:
> Upgrading Ubuntu 18.04 disables GPU hardware acceleration
>
> Status in xorg package in Ubuntu:
> Confirmed
>
> Bug description:
> I don't know which package causes this problem. The thing is ugrading
> Ubuntu 18.04 disables my GPU hardware acceleration.
>
> glxinfo_before_upgrade
> OpenGL vendor string: X.Org
> OpenGL renderer string: Radeon RX 560 Series (POLARIS11 / DRM 3.23.0 /
> 4.15.0-10-generic, LLVM 5.0.1)
> OpenGL core profile version string: 4.5 (Core Profile) Mesa 17.3.3
>
> glxinfo_after_upgrade
> OpenGL vendor string: VMware, Inc.
> OpenGL renderer string: llvmpipe (LLVM 5.0, 256 bits)
> OpenGL core profile version string: 3.3 (Core Profile) Mesa 17.3.3
>
> This problem is reproducible.
>
> Steps to reproduce:
> 1. Install Ubuntu 18.04 daily live. I've tried Kubuntu 18.04 Feb 26's
> daily live(the installer in Mar 1 crashes which prevents me from installing
> it) and Xubuntu 18.04 Mar 2's daily live. Ubuntu is utilizing my GPU in
> live cd session and after the fresh install Ubuntu is also utilizing my GPU.
> 2. Reboot into the newly installed system, do a dist-upgrade and reboot
> again. Opengl renderer falls back to llvmpipe.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 18.04
> Package: xorg 1:7.7+19ubuntu5
> ProcVersionSignature: Ubuntu 4.15.0-10.11-generic 4.15.3
> Uname: Linux 4.15.0-10-generic x86_64
> ApportVersion: 2.20.8-0ubuntu10
> Architecture: amd64
> BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
> CompositorRunning: None
> CurrentDesktop: XFCE
> Date: Sat Mar 3 00:58:35 2018
> DistUpgraded: Fresh install
> DistroCodename: bionic
> DistroVariant: ubuntu
> ExtraDebuggingInterest: Yes, if not too technical
> GraphicsCard:
> Advanced Micro Devices, Inc. [AMD/ATI] Baffin [Polaris11] [1002:67ff]
> (rev cf) (prog-if 00 [VGA controller])
> Subsystem: ASUSTeK Computer Inc. Baffin [Radeon RX 560] [1043:04be]
> InstallationDate: Installed on 2018-03-02 (0 days ago)
> InstallationMedia: Xubuntu 18.04 LTS "Bionic Beaver" - Alpha amd64
> (20180302)
> MachineType: Gigabyte Technology Co., Ltd. B85M-D3V-A
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-10-generic.efi.signed
> root=UUID=d2dcc7eb-84ca-4102-9ae1-239de26d113c ro quiet splash vt.handoff=1
> Renderer: Software
> SourcePackage: xorg
> Symptom: display
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 02/12/2015
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: F2
> d...

Read more...

Revision history for this message
M.Hanny Sabbagh (mhsabbagh) wrote :

Confirmed here too. Instead of using my Intel 520 HD, the system is using: "llvmpipe (LLVM 6.0, 256 bits)" (The details section from GNOME Center).

Revision history for this message
M.Hanny Sabbagh (mhsabbagh) wrote :

Xorg log file, containing some error messages "No input driver specified".

Revision history for this message
Phillip Lord (philliplord) wrote :

Also here, with a Radeon R7.

Revision history for this message
Phillip Lord (philliplord) wrote :

My problem was solved by the fix suggested in this bug:

https://bugs.launchpad.net/ubuntu/+source/nux/+bug/1767468

I don't know if mine is the same problem as reported here, but worth a try.

Revision history for this message
Liam McDermott (liam-intermedia-online) wrote :

The fix mentioned in #1767468 did not fix this for me (AMD Radeon 7950). Also installing libegl-mesa0 does not fix the issue.

Revision history for this message
Bogdan Gribincea (bogdan-gribincea) wrote :

Installing libegl-mesa0 fixed the problem for me.
Kubuntu/KDE, AMD Radeon 7950

Revision history for this message
Emiliano (retorquere) wrote :

Fix from #1767468 also doers not work for me. Intel HD 520

Revision history for this message
Martin (martin3000) wrote :

echo $LIBGL_ALWAYS_SOFTWARE gives me 1. Why?

Revision history for this message
Martin (martin3000) wrote :

/etc/X11/Xsession.d/50_check_unity_support sets LIBGL_ALWAYS_SOFTWARE to 1.

After removing this, my glmark2 went up from 260 to 1800 :-)
Without paying anything.

Revision history for this message
Wladimir J. van der Laan (laanwj) wrote :

Same problem here. After upgrading my laptop from Lubuntu 16.04 to Lubuntu 18.04, there is no hardware acceleration anymore. AMD STONEY was perfectly capable of this on the older release.

glxinfo shows:
OpenGL renderer string: llvmpipe (LLVM 6.0, 128 bits)

/var/log/Xorg.0.log shows:

[ 16.679] (EE) AMDGPU(0): eglGetDisplay() failed
[ 16.679] (EE) AMDGPU(0): glamor detected, failed to initialize EGL.
[ 16.685] (==) AMDGPU(0): DRI3 disabled
...
[ 16.692] (II) AIGLX: Screen 0 is not DRI2 capable
[ 16.692] (EE) AIGLX: reverting to software rendering
[ 16.699] (II) IGLX: enabled GLX_MESA_copy_sub_buffer
[ 16.700] (II) IGLX: Loaded and initialized swrast
[ 16.700] (II) GLX: Initialized DRISWRAST GL provider for screen 0

Nothing in the kernel log indicates that there is a problem with the amdgpu driver.

Tried creating a xorg.conf and forcing DRI to 3, but no dice.

LIBGL_ALWAYS_SOFTWARE is not set, there is no /etc/X11/Xsession.d/50_check_unity_support, so it's probably not bug #1767468.

Revision history for this message
Wladimir J. van der Laan (laanwj) wrote :

For me, "apt-get remove libnvidia-gl-390" solved it. No idea how it came to be installed, but for some reason the active EGL driver was nvidia, and that interfered with the X start sequence.

Revision history for this message
Rocko (rockorequin) wrote :

I had this problem, too. journalctl -b|grep glamor showed this:

/usr/lib/gdm3/gdm-x-session[2205]: (EE) modeset(0): glamor initialization failed

which is why gnome-shell was falling back to llvmpipe. However, there was some funny business going on with my libGL installation, because ldd /usr/bin/glxinfo showed:

 libGL.so.1 => /usr/local/lib/libGL.so.1 (0x00007fe67e633000)
 libGLX.so.0 => /usr/local/lib/libGLX.so.0 (0x00007fe67dccd000)
 libGLdispatch.so.0 => /usr/local/lib/libGLdispatch.so.0 (0x00007fe67da16000)

meaning I must have manually built and installed versions of libGL/X at some point. I deleted the libGL/X libraries and the xorg folder from /usr/local/lib and after a reboot I now have intel mesa graphics again.

tags: added: rls-bb-incoming
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

please check if libnvidia-gl-390 is installed:

apt-cache policy libnvidia-gl-390

and if so, this is a dupe of 1770913, you want libegl-mesa0 and libglx-mesa0 installed instead..

Revision history for this message
Sebastien Bacher (seb128) wrote :

the nux issue is bug #1768610

Revision history for this message
xjbhenry (xjbhenry) wrote :

I encountered same problem, and I found the work around.

I believe this was because libglx from xorg over-written the one from amd/nvidia.

For people using nvidia graphic cards, you can do:

sudo mv /usr/lib/xorg/modules/extensions/libglx.so /usr/lib/xorg/modules/extensions/libglx.so.bac
sudo ln -s /usr/lib/nvidia-396/xorg/libglx.so /usr/lib/xorg/modules/extensions/libglx.so
Then restart.

I belive amd users can do the similar thing.

reference: https://devtalk.nvidia.com/default/topic/830711/linux/failed-to-initialize-the-glx-module-please-check-in-your-x-log-file-that-the-glx-module-has-been-lo/

Revision history for this message
Sebastian Wiesendahl (swiesend) wrote :

Thank you @xjbhenry (xjbhenry)!

His fix [21](https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1752938/comments/21), helped me for my NVIDIA card.

Instead of "llvmpipe (LLVM 6.0, 256 bits)" the active OpenGL renderer is now:

$ glxgears -info
Running synchronized to the vertical refresh. The framerate should be
approximately the same as the monitor refresh rate.
GL_RENDERER = GeForce 940M/PCIe/SSE2
GL_VERSION = 4.6.0 NVIDIA 396.37
GL_VENDOR = NVIDIA Corporation

Revision history for this message
Jondice (brandon-barker) wrote :

Can confirm that the fix from xjbhenry worked for me as well (previously the system was 16.04, then 17.?? and then upgraded to 18.04).

Revision history for this message
Michal Illich (a-list-l) wrote :

Yes, happened to me also. Kubuntu 18.04.1

Yesterday (Nov 27) suddenly (after auto upgrade of the system) nvidia stopped working (switched to nouveau, probably).
Upgraded to Kubuntu 18.10
This actually made the situation even worse - stuck on 640x480 resolution.
Had nvidia-390 installed at the moment, but the system wasn't using it.

After some looking around, installed:

sudo apt install nvidia-dkms-410 xserver-xorg-video-nvidia-410 nvidia-kernel-source-410

which made the situation look better: resolution was again native (1920x1200) and nvidia-settings launched and showed 410 driver running.
But in the Steam games, it showed that llvm driver was being used. And games such as Wolfenstein New Order (uses proton wine) didn't even launch.

After some more fiddling around, actually using the Kubuntu GUI tool (System Settings > Driver Manager > Nvidia > 410) fixed the situation. Apparently the GUI tool does it somehow better than installing the nvidia package manually.

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers